FTBFS testsuite error on s390x

Bug #1521226 reported by Dimitri John Ledkov on 2015-11-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
webapps-sprint
Undecided
Alberto Mardegan
libaccounts-glib (Ubuntu)
High
Alberto Mardegan

Bug Description

see attached log

Dimitri John Ledkov (xnox) wrote :
tags: added: ftbfs s390x
Changed in libaccounts-glib (Ubuntu):
importance: Undecided → High
status: New → Confirmed
Alberto Mardegan (mardy) wrote :
Changed in libaccounts-glib (Ubuntu):
assignee: nobody → Alberto Mardegan (mardy)
status: Confirmed → In Progress
Changed in webapps-sprint:
assignee: nobody → Alberto Mardegan (mardy)
status: New → In Progress
milestone: none → sprint-16
David Barth (dbarth) on 2015-12-01
Changed in webapps-sprint:
milestone: sprint-16 → sprint-17
Dimitri John Ledkov (xnox) wrote :

Is this going to land soon? this FTBFS is blocking remaining packages to be build on s390x.

On 12/14/2015 01:41 AM, Dimitri John Ledkov wrote:
> Is this going to land soon? this FTBFS is blocking remaining packages to
> be build on s390x.

It's in QA's hands: https://requests.ci-train.ubuntu.com/#/ticket/762

Cool, thanks. Looking at build logs it seems to fail in the testsuite =(
Does the test potentially depends on accounts to be available and installed already?

https://launchpadlibrarian.net/229437977/buildlog_ubuntu-xenial-s390x.libaccounts-glib_1.19%2B16.04.20151209.2-0ubuntu1_BUILDING.txt.gz

has:

task-0: ** (process:58186): DEBUG: Error message: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name com.google.code.AccountsSSO.Accounts.Manager was not provided by any .service files

which would be the case when accounts are built for the first time ever.

On 12/14/2015 04:08 PM, Dimitri John Ledkov wrote:
> Cool, thanks. Looking at build logs it seems to fail in the testsuite =(
> Does the test potentially depends on accounts to be available and installed already?

Nope.

> https://launchpadlibrarian.net/229437977/buildlog_ubuntu-xenial-s390x
> .libaccounts-glib_1.19%2B16.04.20151209.2-0ubuntu1_BUILDING.txt.gz
>
> has:
>
> task-0: ** (process:58186): DEBUG: Error message:
> GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name
> com.google.code.AccountsSSO.Accounts.Manager was not provided by any
> .service files

This is always printed, the errors are others. I actually got another
report about libaccounts-glib tests failing for s390x in Debian, with a
similar error log.
Is there something special about the s390x architecture that could cause
us misbehaving? Things like endiannes, pointer size, etc. that are
different from the other architectures?
Do you know if SQLite and D-Bus work fine under s390x?

I am fairly confident that dbus works:
http://autopkgtest.ubuntu.com/packages/d/dbus/

Ditto sqlite3, at least via some bindings:
http://autopkgtest.ubuntu.com/packages/?q=sqlite

summary: - FTBFS on all arches in xenial
+ FTBFS testsuite error on s390x
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libaccounts-glib - 1.19+16.04.20151221-0ubuntu1

---------------
libaccounts-glib (1.19+16.04.20151221-0ubuntu1) xenial; urgency=medium

  [ Alberto Mardegan ]
  * New upstream release
    - Build: ignore deprecations of GSimpleAsyncResult (LP: #1521226)
    - Build: don't emit a build error on deprecations
    - Coverage: allow lcov versions up to 1.11
    - Build: fix handling of coverage flags
    - Build: fix build errors when building with clang
    - Update account ID after a remotely-executed store
    - Vala: add allow-none and update VAPI file
      https://code.google.com/p/accounts-sso/issues/detail?id=241
    - Build: multiarch fixes

  [ CI Train Bot ]
  * No-change rebuild.

 -- David Barth <email address hidden> Mon, 21 Dec 2015 08:57:48 +0000

Changed in libaccounts-glib (Ubuntu):
status: In Progress → Fix Released
Alberto Mardegan (mardy) on 2016-01-11
Changed in webapps-sprint:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.